## org.eclipse.emf.importer.rose.parser
Class RoseNode

    java.lang.Object
      org.eclipse.emf.importer.rose.parser.RoseNode

    public class RoseNode

extends java.lang.Object

Is used to build a tree for Rose file.

Field Summary
`protected boolean` `commit`
`protected static java.util.regex.Pattern` `CONTENT_VALUE_PATTERN`
`protected static java.util.regex.Pattern` `FEATURE_VALUE_PATTERN`
`protected java.lang.String` `id`
`protected java.lang.String` `key`
`static int` `LIST`
`protected java.lang.Object` `node`
`protected java.util.List<RoseNode>` `nodes`
`static int` `OBJECT`
`protected RoseNode` `parent`
`static int` `STRING`
`static int` `STRING_SEQ`
`protected int` `type`
`protected java.lang.String` `value`
`static int` `VALUE`
`static int` `VISIBILITY_NONE`
`static int` `VISIBILITY_READ_ONLY`
`static int` `VISIBILITY_READ_ONLY_UNSETTABLE`
`static int` `VISIBILITY_READ_WRITE`
`static int` `VISIBILITY_READ_WRITE_UNSETTABLE`
`static int` `VISIBILITY_UNSPECIFIED`
`protected static java.util.regex.Pattern` `VISIBILITY_VALUE_PATTERN`

Constructor Summary
`RoseNode(java.lang.String key, java.lang.String value, int type)`

Method Summary
`void` `addNode(RoseNode n)`
`protected java.lang.String` `basicGetAttributeValue(java.lang.String tool, java.lang.String name)`
`void` `deleteNode(RoseNode n)`
`protected static java.lang.String` `dequote(java.lang.String s)`
`RoseNode` `findNodeWithKey(java.lang.String key)`
`RoseNode` `findNodeWithValue(java.lang.String value)`
`RoseNode` `findNodeWithWord(java.lang.String w)`
`java.lang.String` `getAllValues()`
`java.lang.String` `getAllValues(boolean preserveSpace)`
`java.lang.String` `getAnnotation()`
`java.lang.String` `getAtId()`
`java.lang.String` `getAttributeName()`
`protected java.lang.String` `getAttributeValue(java.lang.String key)`
`protected java.lang.String` `getAttributeValue(java.lang.String tool, java.lang.String name)` This provides backwards compatibility for the renaming of "eCore" to "Ecore".
`java.lang.String` `getBasePackage()`
`java.lang.String` `getClassifierName()`
`boolean` `getCommit()`
`java.lang.String` `getConstraints()`
`java.lang.String` `getContainment()`
`java.lang.String` `getDocumentation()`
`java.lang.String` `getEcoreConstraints()`
`java.lang.String` `getExceptions()`
`java.lang.String` `getFilteredValues(java.lang.String filter)`
`java.lang.String` `getId()`
`java.lang.String` `getInitV()`
`java.lang.String` `getKey()`
`java.lang.Object` `getNode()`
`java.util.List<RoseNode>` `getNodes()`
`java.lang.String` `getNsPrefix()`
`java.lang.String` `getNsURI()`
`java.lang.String` `getOperationName()`
`java.lang.String` `getPackageName()`
`RoseNode` `getParent()`
`java.lang.String` `getPrefix()`
`java.lang.String` `getReferenceName()`
`java.lang.String` `getResult()`
`java.lang.String` `getRoleMultiplicity()`
`RoseNode` `getRoot()`
`java.lang.String` `getRoseId()`
`int` `getRoseNodeType()`
`java.lang.String` `getRoseRefId()`
`java.lang.String` `getRoseSupplier()`
`java.lang.String` `getSemantics()`
`java.lang.String` `getStereotype()`
`java.lang.String` `getType()`
`java.lang.String` `getUML2MOFCorbaType()`
`java.lang.String` `getValue()`
`int` `getVisibility()`
`int` `getXMLContentKind()`
`int` `getXMLFeatureKind()`
`java.lang.String` `getXMLName()`
`java.lang.String` `getXMLNamespace()`
`boolean` `isAbstract()`
`boolean` `isAggregate()`
`boolean` `isChangeable()`
`boolean` `isDerived()`
`boolean` `isID()`
`boolean` `isLoaded()`
`boolean` `isNavigable()`
`boolean` `isResolveProxies()`
`boolean` `isTransient()`
`boolean` `isUnique()`
`boolean` `isUnsettable()`
`boolean` `isVolatile()`
`void` `setCommit(boolean b)`
`void` `setId(java.lang.String id)`
`void` `setNode(java.lang.Object node)`
`void` `setParent(RoseNode parent)`
`void` `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### STRING_SEQ

    public static final int STRING_SEQ

See Also:
  Constant Field Values

### OBJECT

    public static final int OBJECT

See Also:
  Constant Field Values

### LIST

    public static final int LIST

See Also:
  Constant Field Values

### VALUE

    public static final int VALUE

See Also:
  Constant Field Values

### key

    protected java.lang.String key

### value

    protected java.lang.String value

### parent

    protected RoseNode parent

### nodes

    protected java.util.List<RoseNode> nodes

### type

    protected int type

### id

    protected java.lang.String id

### commit

    protected boolean commit

### node

    protected java.lang.Object node

### FEATURE_VALUE_PATTERN

    protected static final java.util.regex.Pattern FEATURE_VALUE_PATTERN

### CONTENT_VALUE_PATTERN

    protected static final java.util.regex.Pattern CONTENT_VALUE_PATTERN

### VISIBILITY_UNSPECIFIED

    public static final int VISIBILITY_UNSPECIFIED

See Also:
  Constant Field Values

### VISIBILITY_NONE

    public static final int VISIBILITY_NONE

See Also:
  Constant Field Values

### VISIBILITY_READ_ONLY

    public static final int VISIBILITY_READ_ONLY

See Also:
  Constant Field Values

### VISIBILITY_READ_WRITE

    public static final int VISIBILITY_READ_WRITE

See Also:
  Constant Field Values

### VISIBILITY_READ_ONLY_UNSETTABLE

    public static final int VISIBILITY_READ_ONLY_UNSETTABLE

See Also:
  Constant Field Values

### VISIBILITY_READ_WRITE_UNSETTABLE

    public static final int VISIBILITY_READ_WRITE_UNSETTABLE

See Also:
  Constant Field Values

### VISIBILITY_VALUE_PATTERN

    protected static final java.util.regex.Pattern VISIBILITY_VALUE_PATTERN

Constructor Detail

### RoseNode

    public RoseNode(java.lang.String key,
                    java.lang.String value,
                    int type)

Method Detail

### setParent

    public void setParent(RoseNode parent)

### getParent

    public RoseNode getParent()

### getRoot

    public RoseNode getRoot()

### getKey

    public java.lang.String getKey()

### getValue

    public java.lang.String getValue()

### getAllValues

    public java.lang.String getAllValues()

### getAllValues

    public java.lang.String getAllValues(boolean preserveSpace)

### getFilteredValues

    public java.lang.String getFilteredValues(java.lang.String filter)

### setValue

    public void setValue(java.lang.String value)

### getCommit

    public boolean getCommit()

### setCommit

    public void setCommit(boolean b)

### getId

    public java.lang.String getId()

### getAtId

    public java.lang.String getAtId()

### setId

    public void setId(java.lang.String id)

### getRoseNodeType

    public int getRoseNodeType()

### getNodes

    public java.util.List<RoseNode> getNodes()

### addNode

    public void addNode(RoseNode n)

### deleteNode

    public void deleteNode(RoseNode n)

### findNodeWithKey

    public RoseNode findNodeWithKey(java.lang.String key)

### findNodeWithValue

    public RoseNode findNodeWithValue(java.lang.String value)

### findNodeWithWord

    public RoseNode findNodeWithWord(java.lang.String w)

### getRoseId

    public java.lang.String getRoseId()

### getRoseRefId

    public java.lang.String getRoseRefId()

### getRoseSupplier

    public java.lang.String getRoseSupplier()

### setNode

    public void setNode(java.lang.Object node)

### getNode

    public java.lang.Object getNode()

### getType

    public java.lang.String getType()

### getStereotype

    public java.lang.String getStereotype()

### isDerived

    public boolean isDerived()

### isAbstract

    public boolean isAbstract()

### isNavigable

    public boolean isNavigable()

### isAggregate

    public boolean isAggregate()

### getContainment

    public java.lang.String getContainment()

### getConstraints

    public java.lang.String getConstraints()

### getResult

    public java.lang.String getResult()

### getExceptions

    public java.lang.String getExceptions()

### getSemantics

    public java.lang.String getSemantics()

### getInitV

    public java.lang.String getInitV()

### getDocumentation

    public java.lang.String getDocumentation()

### isLoaded

    public boolean isLoaded()

### getAttributeValue

    protected java.lang.String getAttributeValue(java.lang.String key)

### getUML2MOFCorbaType

    public java.lang.String getUML2MOFCorbaType()

### isTransient

    public boolean isTransient()

### isVolatile

    public boolean isVolatile()

### isChangeable

    public boolean isChangeable()

### isResolveProxies

    public boolean isResolveProxies()

### isUnsettable

    public boolean isUnsettable()

### isID

    public boolean isID()

### isUnique

    public boolean isUnique()

### getBasePackage

    public java.lang.String getBasePackage()

### getPrefix

    public java.lang.String getPrefix()

### getPackageName

    public java.lang.String getPackageName()

### getClassifierName

    public java.lang.String getClassifierName()

### getEcoreConstraints

    public java.lang.String getEcoreConstraints()

### getReferenceName

    public java.lang.String getReferenceName()

### getAttributeName

    public java.lang.String getAttributeName()

### getOperationName

    public java.lang.String getOperationName()

### getNsPrefix

    public java.lang.String getNsPrefix()

### getNsURI

    public java.lang.String getNsURI()

### getXMLName

    public java.lang.String getXMLName()

### getXMLNamespace

    public java.lang.String getXMLNamespace()

### getXMLFeatureKind

    public int getXMLFeatureKind()

### getXMLContentKind

    public int getXMLContentKind()

### getVisibility

    public int getVisibility()

### getAnnotation

    public java.lang.String getAnnotation()

### getAttributeValue

    protected java.lang.String getAttributeValue(java.lang.String tool,
                                                 java.lang.String name)

  This provides backwards compatibility for the renaming of "eCore" to "Ecore".

### basicGetAttributeValue

    protected java.lang.String basicGetAttributeValue(java.lang.String tool,
                                                      java.lang.String name)

### getRoleMultiplicity

    public java.lang.String getRoleMultiplicity()

### dequote

    protected static java.lang.String dequote(java.lang.String s)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.